Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/mp32prime.h File Reference

Multi-precision primes, header. More...

`#include "mp32barrett.h"`

Go to the source code of this file.

## Defines
#define | SMALL_PRIMES_PRODUCT_MAX 64
## Functions
int | mp32ptrials (uint32 bits)
int | mp32pmilrab_w (const mp32barrett *p, randomGeneratorContext *rc, int t, uint32 *wksp)
| needs workspace of (8*size+2) words. More...
void | mp32prnd_w (mp32barrett *p, randomGeneratorContext *rc, uint32 size, int t, const mp32number *f, uint32 *wksp)
| needs workspace of (7*size+2) words. More...
void | mp32prndsafe_w (mp32barrett *p, randomGeneratorContext *rc, uint32 size, int t, uint32 *wksp)
void | mp32prndconone_w (mp32barrett *p, randomGeneratorContext *rc, uint32 size, int t, const mp32barrett *q, const mp32number *f, mp32number *r, int cofactor, uint32 *wksp)
| needs workspace of (7*size+2) words. More...
## Variables
uint32 * | mp32spprod [64]

## Detailed Description

Multi-precision primes, header.

Definition in file mp32prime.h.

## Define Documentation

#define SMALL_PRIMES_PRODUCT_MAX 64

| Definition at line 33 of file mp32prime.h. Referenced by mp32bpprime_w, and mp32psppdiv_w.

## Function Documentation

int mp32pmilrab_w | ( | const mp32barrett * | p,
|  | randomGeneratorContext * | rc,
|  | int | t,
|  | uint32 * | wksp
| ) |

| needs workspace of (8*size+2) words. Definition at line 1167 of file mp32prime.c. Referenced by dldp_pValidate, mp32bpprime_w, mp32prnd_w, mp32prndconone_w, and mp32prndsafe_w.

void mp32prnd_w | ( | mp32barrett * | p,
|  | randomGeneratorContext * | rc,
|  | uint32 | size,
|  | int | t,
|  | const mp32number * | f,
|  | uint32 * | wksp
| ) |

| needs workspace of (7*size+2) words. Definition at line 1222 of file mp32prime.c. Referenced by dldp_pgonMake, dldp_pgoqMake, and rsakpMake.

void mp32prndconone_w | ( | mp32barrett * | p,
|  | randomGeneratorContext * | rc,
|  | uint32 | size,
|  | int | t,
|  | const mp32barrett * | q,
|  | const mp32number * | f,
|  | mp32number * | r,
|  | int | cofactor,
|  | uint32 * | wksp
| ) |

| needs workspace of (7*size+2) words. Definition at line 1275 of file mp32prime.c. Referenced by dldp_pgonMake, and dldp_pgoqMake.

void mp32prndsafe_w | ( | mp32barrett * | p,
|  | randomGeneratorContext * | rc,
|  | uint32 | size,
|  | int | t,
|  | uint32 * | wksp
| ) |

| Definition at line 1382 of file mp32prime.c. Referenced by dldp_pgonMakeSafe, and dldp_pgoqMakeSafe.

int mp32ptrials | ( | uint32 | bits | ) |

| Definition at line 982 of file mp32prime.c. Referenced by mp32prndconone_w, and rsakpMake.

## Variable Documentation

uint32* mp32spprod[ 64 ]

| Definition at line 38 of file mp32prime.h.